coap_attr_t Struct Reference
Resources (Internal)

Abstraction of attribute associated with a resource. More...

`#include <coap_resource_internal.h>`

Collaboration diagram for coap_attr_t:
[legend]

## Data Fields

struct coap_attr_t * | next
| Pointer to next in chain or NULL. More...
coap_str_const_t * | name
| Name of the attribute. More...
coap_str_const_t * | value
| Value of the attribute (can be NULL) More...
int | flags

## Detailed Description

Abstraction of attribute associated with a resource.

Definition at line 31 of file coap_resource_internal.h.

## Field Documentation

## flags

int coap_attr_t::flags

Definition at line 35 of file coap_resource_internal.h.

## name

coap_str_const_t* coap_attr_t::name

Name of the attribute.

Definition at line 33 of file coap_resource_internal.h.

## next

struct coap_attr_t* coap_attr_t::next

Pointer to next in chain or NULL.

Definition at line 32 of file coap_resource_internal.h.

## value

coap_str_const_t* coap_attr_t::value

Value of the attribute (can be NULL)

Definition at line 34 of file coap_resource_internal.h.

The documentation for this struct was generated from the following file:

- coap_resource_internal.h